function [sol,it] = newton1d(f,df,x0,tol,maxit)
% laboratorio 9, calculo numerico (521230), S2, 2011
% metodo de newton para aproximar cero de f.
% parametros de entrada son:
% f,df: funcion, cuyo cero desea aproximarse y su derivada
% x0: aproximacion inicial a cero de f
% tol: exactitud requerida
% maxit: numero maximo de iteraciones a realizar por el metodo

x1 = x0 - feval(f,x0)/feval(df,x0);
it = 1;
conv = abs(x1-x0) <= tol;
while ~conv && (it < maxit)
    x0 = x1;
    x1 = x0 - feval(f,x0)/feval(df,x0);
    conv = abs(x1-x0) <= tol;
    it = it+1;
end
sol = x1;
if ~conv
    it = -1;
end
